/*
    (C) 1995-99 AROS - The Amiga Research OS
    $Id: cleardmrequest.c,v 1.1.1.1 2005/03/15 15:54:22 laire Exp $
 
    Desc: Intuition function ClearDMRequest
    Lang: english
*/
#include "intuition_intern.h"

/*****************************************************************************
 
    NAME */
#include <proto/intuition.h>

AROS_LH1(BOOL, ClearDMRequest,

         /*  SYNOPSIS */
         AROS_LHA(struct Window *, window, A0),

         /*  LOCATION */
         struct IntuitionBase *, IntuitionBase, 8, Intuition)

/*  FUNCTION
 
    INPUTS
	window - The window from which the DMRequest is to be cleared
 
    RESULT
 
    NOTES
 
    EXAMPLE
 
    BUGS
 
    SEE ALSO
	SetDMRequest(), Request()
 
    INTERNALS
 
    HISTORY
 
*****************************************************************************/
{
	AROS_LIBFUNC_INIT
	AROS_LIBBASE_EXT_DECL(struct IntuitionBase *,IntuitionBase)

	return SetDMRequest(window, NULL);

	AROS_LIBFUNC_EXIT
} /* ClearDMRequest */
